## gotk completion

Generates completion scripts for various shells

### Synopsis

The completion sub-command generates completion scripts for various shells

### Options

```
  -h, --help   help for completion
```

### Options inherited from parent commands

```
      --kubeconfig string   path to the kubeconfig file (default "~/.kube/config")
  -n, --namespace string    the namespace scope for this operation (default "gitops-system")
      --timeout duration    timeout for this operation (default 5m0s)
      --verbose             print generated objects
```

### SEE ALSO

* [gotk](gotk.md)	 - Command line utility for assembling Kubernetes CD pipelines
* [gotk completion bash](gotk_completion_bash.md)	 - Generates bash completion scripts
* [gotk completion fish](gotk_completion_fish.md)	 - Generates fish completion scripts
* [gotk completion powershell](gotk_completion_powershell.md)	 - Generates powershell completion scripts
* [gotk completion zsh](gotk_completion_zsh.md)	 - Generates zsh completion scripts

